import * as _typescript_eslint_utils_ts_eslint from '@typescript-eslint/utils/ts-eslint';

type MessageID$3 = "NO_USELESS_FRAGMENT" | "NO_USELESS_FRAGMENT_IN_BUILT_IN";

type MessageID$2 = "NO_UNSTABLE_CONTEXT_VALUE" | "NO_UNSTABLE_CONTEXT_VALUE_WITH_FUNCTION" | "NO_UNSTABLE_CONTEXT_VALUE_WITH_IDENTIFIER";

type MessageID$1 = "NESTED_COMPONENT" | "NESTED_COMPONENT_IN_PROPS";

type MessageID = "NO_MISSING_KEY" | "NO_MISSING_KEY_WITH_FRAGMENT";

declare const meta: {
    readonly name: string;
    readonly version: string;
};
declare const rules: {
    readonly "ensure-forward-ref-using-ref": _typescript_eslint_utils_ts_eslint.RuleModule<"ENSURE_FORWARD_REF_USING_REF", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-access-state-in-setstate": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_ACCESS_STATE_IN_SETSTATE", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-array-index-key": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_ARRAY_INDEX_KEY", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-children-count": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_CHILDREN_COUNT", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-children-for-each": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_CHILDREN_FOR_EACH", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-children-map": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_CHILDREN_MAP", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-children-only": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_CHILDREN_ONLY", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-children-prop": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_CHILDREN_PROP", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-children-to-array": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_CHILDREN_TO_ARRAY", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-class-component": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_CLASS_COMPONENT", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-clone-element": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_CLONE_ELEMENT", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-comment-textnodes": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_COMMENT_TEXTNODES", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-complicated-conditional-rendering": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_COMPLICATED_CONDITIONAL_RENDERING", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-component-will-mount": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_COMPONENT_WILL_MOUNT", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-component-will-receive-props": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_COMPONENT_WILL_RECEIVE_PROPS", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-component-will-update": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_COMPONENT_WILL_UPDATE", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-create-ref": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_CREATE_REF", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-direct-mutation-state": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_DIRECT_MUTATION_STATE", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-duplicate-key": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_DUPLICATE_KEY", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-implicit-key": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_IMPLICIT_KEY", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-leaked-conditional-rendering": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_LEAKED_CONDITIONAL_RENDERING", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-missing-component-display-name": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_MISSING_COMPONENT_DISPLAY_NAME", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-missing-key": _typescript_eslint_utils_ts_eslint.RuleModule<MessageID, [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-nested-components": _typescript_eslint_utils_ts_eslint.RuleModule<MessageID$1, [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-redundant-should-component-update": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_REDUNDANT_SHOULD_COMPONENT_UPDATE", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-set-state-in-component-did-mount": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_SET_STATE_IN_COMPONENT_DID_MOUNT", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-set-state-in-component-did-update": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_SET_STATE_IN_COMPONENT_DID_UPDATE", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-set-state-in-component-will-update": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_SET_STATE_IN_COMPONENT_WILL_UPDATE", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-string-refs": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_STRING_REFS", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-unsafe-component-will-mount": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_UNSAFE_COMPONENT_WILL_MOUNT", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-unsafe-component-will-receive-props": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_UNSAFE_COMPONENT_WILL_RECEIVE_PROPS", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-unsafe-component-will-update": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_UNSAFE_COMPONENT_WILL_UPDATE", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-unstable-context-value": _typescript_eslint_utils_ts_eslint.RuleModule<MessageID$2, [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-unstable-default-props": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_UNSTABLE_DEFAULT_PROPS", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-unused-class-component-members": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_UNUSED_CLASS_COMPONENT_MEMBERS", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-unused-state": _typescript_eslint_utils_ts_eslint.RuleModule<"NO_UNUSED_STATE", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "no-useless-fragment": _typescript_eslint_utils_ts_eslint.RuleModule<MessageID$3, [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "prefer-destructuring-assignment": _typescript_eslint_utils_ts_eslint.RuleModule<"PREFER_DESTRUCTURING_ASSIGNMENT", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "prefer-shorthand-boolean": _typescript_eslint_utils_ts_eslint.RuleModule<"PREFER_SHORTHAND_BOOLEAN", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
    readonly "prefer-shorthand-fragment": _typescript_eslint_utils_ts_eslint.RuleModule<"PREFER_SHORTHAND_FRAGMENT", [], _typescript_eslint_utils_ts_eslint.RuleListener>;
};

export { meta, rules };
